ImagickPixel::getColorValue
ImagickPixel::isSimilar
The ImagickPixel class
PHP Manual

# ImagickPixel::getHSL

(No version information available, might be only in CVS)

ImagickPixel::getHSL — Returns the normalized HSL color of the ImagickPixel object

### Description

array ImagickPixel::getHSL ( void )
Warning

This function is currently not documented; only its argument list is available.

Returns the normalized HSL color described by the ImagickPixel object, with each of the three values as floating point numbers between 0.0 and 1.0.

### Return Values

Returns the HSL value in an array with the keys "hue", "saturation", and "luminosity". Throws ImagickPixelException on failure.

ImagickPixel::getColorValue
ImagickPixel::isSimilar
The ImagickPixel class
PHP Manual